
Infrastructure - Task #3776

Task # 3866 (Closed): Release CCI 1.2.2 Features

EML data table entity attribute parsing support in search index

2013-05-22 18:10 - Skye Roseboom

Status: Closed Start date: 2013-06-21

Priority: Normal Due date: 2013-06-21

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version:    

Milestone: CCI-1.2 Story Points:  

Product Version: *   

Description

Define index rules to parse/capture EML data table entity attribute name, description, measurements.

Related issues:

Related to Infrastructure - Task #3732: Expose attribute-level metadata in index Closed 2013-04-26

History

#1 - 2013-05-22 22:59 - Skye Roseboom

- Milestone changed from CCI-1.3 to CCI-1.4

#2 - 2013-05-23 18:18 - Skye Roseboom

- Status changed from New to In Progress

Aim it is improve discovery of sci-meta / data packages.  Display of these attributes is handled by the eml xslt view layer.

Initial proposal to update index with new :

parameterDescriptions: attribute description text, column name in one multicolumn field

parameterUnits: attribute standardUnit

The text for any new fields should also be added to eml's full text field for exposure in oneMercury's basic search.

#3 - 2013-06-07 14:43 - Skye Roseboom

New index fields:

attributeName

Name of the attribute  (multivalued, include duplicate values)

attributeLabel

Longer text label for the attribute. (multivalued, include duplicate values)

attributeDescription

Full text description of the attribute (multi-valued, include duplicate values)

attributeUnits

A multi-valued field containing units. Should probably be aligned with a controleld vocabulary (include duplicate values)

attributeText (name could be better....)

Multivalued contatenated field contained all four attribute values for a single attribute, per value in the array (include duplicates)

Update field:

text

update with the attribute text (dedupe....)
#4 - 2013-06-17 16:16 - Skye Roseboom

- Status changed from In Progress to Testing

#5 - 2013-07-15 14:31 - Skye Roseboom

- Parent task changed from #3760 to #3864

#6 - 2013-07-18 21:05 - Skye Roseboom

- Parent task changed from #3864 to #3866

#7 - 2013-08-22 15:51 - Skye Roseboom

- Milestone changed from CCI-1.4 to CCI-1.2

#8 - 2013-09-06 15:36 - Skye Roseboom

- Status changed from Testing to Closed

- translation missing: en.field_remaining_hours set to 0.0

tested in sandbox.  ready for release on stable.
